<?php

namespace App\Http\Controllers\Api;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Filtros\FiltroDeProducto;
use App\Http\Resources\ProductoResource;
use App\Producto;

class ProductoController extends Controller
{
    public function index(FiltroDeProducto $filtros, Request $request)
    {
        return ProductoResource::collection(Producto::filtrar($filtros)->paginate(Producto::getPaginar($request)));
    }

    public function categorias()
    {
        return Producto::all()->pluck('categoria')->unique()->flatten();
    }
}
